Bug 217918 - NSS doesn't support proxies for OCSP requests
NSS doesn't support proxies for OCSP requests
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pam_pkcs11 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bob Relyea
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-30 14:28 EST by Timothy J. Miller
Modified: 2009-07-14 13:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:17:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy J. Miller 2006-11-30 14:28:55 EST
Description of problem:

NSS OCSP doesn't work behind a proxy.  When configuring FC6 for smartcard login
with pam_pkcs11, OCSP can be enabled.  However, if the system is behind a proxy,
OCSP requests fail because the NSS internal URL handler does not support
proxies.  Failed OCSP requests cause login to be denied.

Additional info:

This is the same issue that was resolved in Firefox 2 via a callback:

https://bugzilla.mozilla.org/show_bug.cgi?id=152426

However, in this case there is no callback to be had (pam_pkcs11 has no URL
handler).  NSS needs to support proxies natively.  This will clearly obviate the
patch linked to above.
Comment 1 Timothy J. Miller 2006-11-30 14:30:55 EST
Also see:

https://bugzilla.mozilla.org/show_bug.cgi?id=111384

As the companion bug that was resolved along with 152426.
Comment 2 Kai Engert (:kaie) 2006-12-04 10:41:52 EST
Solving this at the NSS library is tricky, because it would require to extend
NSS with a http implementation which is available on all platforms that NSS
supports.

Maybe it is easier to solve this at the pam_pkcs11 application level, and
implement the http download callback using curl or wget?
Comment 3 Kai Engert (:kaie) 2007-02-05 16:08:01 EST
As it seems difficult to implement complete handling of proxies inside NSS, in a
way that is compatible with all of NSS' licenses, and given the fact that we are
looking for a solution for Linux, my proposal is:

Implement the callback using one of the GPL libraries available on Fedora, such
as curl-devel.

Make the callback implementation available as a library package.

Have NSS automatically detect the presence of an external library that
implements the callback.

Have NSS inspect the usual environment variables that define a proxy on Linux
and if set, make use the proxy automatically.
Comment 4 Bug Zapper 2008-04-04 01:01:46 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Kai Engert (:kaie) 2008-04-04 14:10:24 EDT
This bug is still in effect. My comment 3 is still correct.
Comment 6 Bug Zapper 2008-05-13 22:29:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 18:21:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:17:01 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.